## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description \
future is the missing compatibility layer between Python 2 and \
Python 3. It allows you to use a single, clean Python 3.x-compatible \
code base to support both Python 2 and Python 3 with minimal overhead. \
\
It provides ``future`` and ``past`` packages with backports and forward \
ports of features from Python 3 and 2. It also comes with ``futurize`` and \
``pasteurize``, customized 2to3-based scripts that helps you to convert \
either Py2 or Py3 code easily to support both Python 2 and 3 in a single \
clean Py3-style code base, module by module.

%global pypi_name future

Name: future
Summary: Easy, clean, reliable Python 2/3 compatibility
Version: 1.0.0
Release: %autorelease
License: MIT-0
URL: http://python-future.org/
Source0: https://github.com/PythonCharmers/python-future/archive/refs/tags/v%{version}/python-future-%{version}.tar.gz
BuildArch: noarch

BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3dist(pytest)

Patch0: future-1.0.0-PR635.patch
Patch1: future-1.0.0-PR636.patch
Patch2: future-1.0.0-skip_tests_with_connection_errors.patch
Patch3: future-1.0.0-fix_setup.patch

%description
%{_description}

%package -n python%{python3_pkgversion}-%{name}
Summary: Easy, clean, reliable Python 2/3 compatibility

%py_provides python3-%{name}
%py_provides %{name}


%description -n python%{python3_pkgversion}-%{name}
%{_description}

%prep
%autosetup -n python-future-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name} libfuturize libpasteurize past

%py3_shebang_fix %{buildroot}%{python3_sitelib}/%{pypi_name}/backports/test/pystone.py
chmod a+x %{buildroot}%{python3_sitelib}/%{pypi_name}/backports/test/pystone.py

%check
%pytest -k "not recursion_limit"

%files -n python3-%{name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/futurize
%{_bindir}/pasteurize

%changelog
## START: Generated by rpmautospec
* Sun Feb 25 2024 Antonio Trande <sagitter@fedoraproject.org> - 1.0.0-1
- Release 1.0.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Oct 12 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.18.3-11
- Skip broken tests with Python 3.12

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Miro Hrončok <miro@hroncok.cz> - 0.18.3-9
- Don't conditionalize BuildRequires on undefined macros

* Thu Jun 29 2023 Antonio Trande <sagitter@fedoraproject.org> - 0.18.3-8
- Fix new BR packages

* Thu Jun 29 2023 Lumir Balhar <lbalhar@redhat.com> - 0.18.3-7
- Hotfix import machinery for Python 3.12

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.18.3-6
- Rebuilt for Python 3.12

* Thu May 18 2023 Antonio Trande <sagitter@fedoraproject.org> - 0.18.3-5
- Patched for Python-3.12 (rhbz#2176017)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 17 2023 Antonio Trande <sagitter@fedoraproject.org> - 0.18.3-3
- Upload new source archive

* Fri Jan 13 2023 Antonio Trande <sagitter@fedoraproject.org> - 0.18.3-2
- Add updated patch for fixing tests

* Thu Jan 12 2023 Antonio Trande <sagitter@fedoraproject.org> - 0.18.3-1
- Release 0.18.3

* Tue Nov 01 2022 Lumir Balhar <lbalhar@redhat.com> - 0.18.2-22
- Change location of pathfix.py

* Tue Aug 09 2022 Antonio Trande <sagitter@fedoraproject.org> - 0.18.2-21
- Skip test_single_exception_stacktrace (upstream bug#608) (rhbz#2113233)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.18.2-19
- Rebuilt for Python 3.11

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 04 2021 Antonio Trande <sagitter@fedoraproject.org> - 0.18.2-17
- Increase release number| Patched for Python 3.11

* Sat Dec 04 2021 Antonio Trande <sagitter@fedoraproject.org> - 0.18.2-16
- Remove Python2 build instructions| Patched for Python 3.11

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.18.2-14
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 10 2020 sagitter <sagitter@fedoraproject.org> - 0.18.2-12
- Merge pull request #8

* Mon Aug 10 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0.18.2-11
- spec: handle pathfixXX.py

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 24 2020 Miro Hrončok <miro@hroncok.cz> - 0.18.2-9
- Rebuilt for Python 3.9

* Tue Feb 11 2020 sagitter <sagitter@fedoraproject.org> - 0.18.2-8
- Fix Python 3.9 builds

* Mon Feb 10 2020 Miro Hrončok <miro@hroncok.cz> - 0.18.2-7
- Python 3.9 support

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 24 2020 sagitter <sagitter@fedoraproject.org> - 0.18.2-5
- Fix Python2 executable on Fedora 30

* Fri Jan 24 2020 sagitter <sagitter@fedoraproject.org> - 0.18.2-4
- Fix Python2 build

* Fri Jan 24 2020 sagitter <sagitter@fedoraproject.org> - 0.18.2-3
- Fix package description

* Fri Jan 24 2020 sagitter <sagitter@fedoraproject.org> - 0.18.2-2
- Build Python2 version on Fedora 30

* Fri Jan 24 2020 sagitter <sagitter@fedoraproject.org> - 0.18.2-1
- Release 0.18.2

* Sat Oct 12 2019 sagitter <sagitter@fedoraproject.org> - 0.18.0-2
- Use python3_version_nodots macro

* Sat Oct 12 2019 sagitter <sagitter@fedoraproject.org> - 0.18.0-1
- Release 0.18.0

* Fri Oct 11 2019 Miro Hrončok <miro@hroncok.cz> - 0.17.1-7
- Do not poison python... tab completion with futurize commands

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 0.17.1-6
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Sun Aug 18 2019 Miro Hrončok <miro@hroncok.cz> - 0.17.1-5
- Rebuilt for Python 3.8

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 23 2019 sagitter <sagitter@fedoraproject.org> - 0.17.1-3
- Bump to a pre-release 0.17.1, commit #23989c4| Unversioned commands point
  to Python3 on Fedora| Obsolete Python2 version on Fedora

* Mon Jun 10 2019 Miro Hrončok <miro@hroncok.cz> - 0.17.1-2
- Deselect BuiltinTest.test_pow on Python 3.8+

* Wed Apr 10 2019 sagitter <sagitter@fedoraproject.org> - 0.17.1-1
- Bump to a pre-release 0.17.1 (fix rhbz#1698160, upstream bug #488)

* Wed Mar 13 2019 Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com> - 0.17.0-4
- EL8 compat

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 26 2018 sagitter <sagitter@fedoraproject.org> - 0.17.0-2
- Release 0.17.0

* Wed Oct 24 2018 sagitter <sagitter@fedoraproject.org> - 0.17.0-1
- Bump to a pre-release 0.17.0

* Wed Oct 24 2018 sagitter <sagitter@fedoraproject.org> - 0.16.0-13
- Perform all Python3 tests

* Fri Sep 21 2018 sagitter <sagitter@fedoraproject.org> - 0.16.0-12
- Update to the commit #af02ef6

* Mon Aug 27 2018 sagitter <sagitter@fedoraproject.org> - 0.16.0-11
- Prepare SPEC file for deprecation of Python2 on fedora 30+

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 0.16.0-9
- Rebuilt for Python 3.7

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 sagitter <sagitter@fedoraproject.org> - 0.16.0-7
- Use versioned Python2 packages

* Fri Dec 15 2017 sagitter <sagitter@fedoraproject.org> - 0.16.0-6
- Python3 built on epel7

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 0.16.0-3
- Rebuild for Python 3.6

* Tue Dec 13 2016 sagitter <sagitter@fedoraproject.org> - 0.16.0-2
- BR Python2 dependencies unversioned on epel6

* Tue Dec 13 2016 sagitter <sagitter@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Tue Aug 16 2016 sagitter <sagitter@fedoraproject.org> - 0.15.2-10
- Rebuild for Python 3.5.2

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 0.15.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 sagitter <sagitter@fedoraproject.org> - 0.15.2-7
- Renamed Python2 package

* Thu Dec 10 2015 sagitter <sagitter@fedoraproject.org> - 0.15.2-6
- SPEC file adapted to recent guidelines for Python

* Sun Nov 15 2015 sagitter <sagitter@fedoraproject.org> - 0.15.2-5
- Rebuild

* Sun Nov 15 2015 sagitter <sagitter@fedoraproject.org> - 0.15.2-4
- Python3 tests temporarily disabled with Python35

* Tue Nov 10 2015 Peter Robinson <pbrobinson@fedoraproject.org> - 0.15.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Sep 14 2015 sagitter <sagitter@fedoraproject.org> - 0.15.2-2
- Patch0 updated

* Mon Sep 14 2015 sagitter <sagitter@fedoraproject.org> - 0.15.2-1
- New package (BZ#1250884)
## END: Generated by rpmautospec
